# X11Forwarder.X11Channel (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel.forwarded
Class X11Forwarder.X11Channel

    java.lang.Object
      net.schmizz.sshj.connection.channel.AbstractChannel
          net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannel
              net.schmizz.sshj.connection.channel.forwarded.X11Forwarder.X11Channel

All Implemented Interfaces:
  Closeable, ErrorNotifiable, SSHPacketHandler, Channel, Channel.Forwarded

Enclosing class:
  X11Forwarder

    public static class X11Forwarder.X11Channel

extends AbstractForwardedChannel

An `x11` forwarded channel.

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.connection.channel.Channel
`Channel.Direct, Channel.Forwarded`

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`ErrorNotifiable.Util`

Field Summary
`static String` `TYPE`

Fields inherited from class net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannel
`origIP, origPort`

Fields inherited from class net.schmizz.sshj.connection.channel.AbstractChannel
`close, conn, log, lwin, open, rwin, trans`

Constructor Summary
`X11Forwarder.X11Channel(Connection conn, int recipient, int remoteWinSize, int remoteMaxPacketSize, String origIP, int origPort)`

Method Summary

Methods inherited from class net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannel
`confirm, getOriginatorIP, getOriginatorPort, reject`

Methods inherited from class net.schmizz.sshj.connection.channel.AbstractChannel
`close, closeAllStreams, eofInputStreams, finishOff, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, gotExtendedData, gotUnknown, handle, handleRequest, init, isOpen, join, join, newBuffer, notifyError, receiveInto, sendChannelRequest, sendClose, sendEOF, setAutoExpand, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.connection.channel.Channel
`close, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, isOpen, join, join, sendEOF, setAutoExpand`

Methods inherited from interface net.schmizz.sshj.common.SSHPacketHandler
`handle`

Methods inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`notifyError`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### X11Forwarder.X11Channel

    public X11Forwarder.X11Channel(Connection conn,
                                   int recipient,
                                   int remoteWinSize,
                                   int remoteMaxPacketSize,
                                   String origIP,
                                   int origPort)

Copyright © 2009-2011. All Rights Reserved.